using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using RobotNet.Script.Shares;
using RobotNet.ScriptManager.Services;
using RobotNet.Shares;

namespace RobotNet.ScriptManager.Controllers;

[Route("api/[controller]")]
[ApiController]
[Authorize]
public class ScriptTasksController(ScriptTaskManager taskManager) : ControllerBase
{
    [HttpGet]
    [Route("")]
    public IEnumerable<ScriptTaskDto> GetAlls() => taskManager.GetTaskDatas();

}
